# PredicateAnd

рус.: Предикат "и"

Компонент PredicateAnd предназначен для выполнения логической операции "и".

## Связи

### Входящие связи

ExecuteA
  Связь от операнда A
ExecuteB
  Связь от операнда B

### Исходящие связи

OutS
  Результат выполнения логической операции

## Свойства

AllowFalse
  Пропуск значения false. Значение: логическое (true/false)
AllowTrue
  Пропуск значения true. Значение: логическое (true/false)
AntiCircle
  Предотвращение бесконечных циклов. Если результат воздействия равен текущему состоянию, при состоянии AntiCircle=true - не отрабатывать воздействие. Значение: логическое (true/false).
Operation
  Выполняемая компонентом операция. Значение: строка (Напр.: A_and_B, A_or_B, A_eq_B, A_xor_b, not_A_and_B, A_and_not_B, not_A_and_not_B), по умолчанию A_AND_B
StatusA
  Определение
StatusB
  Определение

См. пример Predicate.
Последнее изменение: 28.01.2009